Bug 85968 - auth_ldap does not support ssl with openldap
Summary: auth_ldap does not support ssl with openldap
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: auth_ldap
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-11 17:45 UTC by Todd Merritt
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-18 14:30:20 UTC


Attachments (Terms of Use)
Patch to support ldaps with openldap. (3.35 KB, patch)
2003-03-11 17:47 UTC, Todd Merritt
no flags Details | Diff

Description Todd Merritt 2003-03-11 17:45:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/0

Description of problem:
I can't use the distributed version of auth_ldap to connect to an ldap server
that only supports ldaps.

Version-Release number of selected component (if applicable):
auth_ldap-1.6.0-4

How reproducible:
Always

Steps to Reproduce:
Try using the authldapurl of ldaps://somehost.com

Actual Results:  It reports invalid ldap url.

Expected Results:  It should have connected to the ldapserver on the ldaps port.

Additional info:

I've seen several requests for this feature on the auth_ldap mailing list, and
sent in a patch to the owner, in fact from the mailing list, it looks like
several people have written this same patch, but apparently he does not want to
add it, so maybe I can make my plea to have it added in here.

Comment 1 Todd Merritt 2003-03-11 17:47:00 UTC
Created attachment 90557 [details]
Patch to support ldaps with openldap.

Comment 2 Bill Nottingham 2006-08-05 03:48:11 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 3 Bill Nottingham 2006-10-18 14:30:20 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.